Bug 156452 - irc/quassel: quasselcore should have an init script
Summary: irc/quassel: quasselcore should have an init script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-17 03:20 UTC by Dean Matzkov
Modified: 2015-07-03 18:08 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Matzkov 2011-04-17 03:20:08 UTC
Currently, when one installs Quassel with the server component (the 'CORE' option), they have to manually setup a daemon user account, a data directory for that account, and write their own init script (either in /usr/local/etc/rc.d, or a daemontools script).

It'd be useful if an init script could be packaged with the port.

How-To-Repeat: Install irc/quassel, making sure the 'CORE' option is set.

Note that there's no init script, daemon user account, or data directory for Quassel; you have to set all of that up yourself.
Comment 1 Dennis Herrmann freebsd_committer 2011-04-17 10:42:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

Over to maintainer.
Comment 2 chuck 2011-10-29 04:13:33 UTC
I have created an rc init script for this app.

#!/bin/sh
#
# PROVIDE: quasselcore
# REQUIRE: netif routing mountcritlocal
# KEYWORD: shutdown

. /etc/rc.subr

name="quasselcore"
rcvar=`set_rcvar`
command="/usr/local/bin/${name}"
load_rc_config $name

: ${quasselcore_enable="NO"}

command_args="--configdir=/usr/local/etc/quassel/ &"
run_rc_command "$1"

-- 
Chuck Burns
The Southern Libertarian
http://www.thesouthernlibertarian.com/
Comment 3 Max Brazhnikov freebsd_committer 2011-10-31 14:55:59 UTC
State Changed
From-To: open->closed

The rc script has been added along with update to 0.7.3
Comment 4 commit-hook freebsd_committer 2015-07-03 18:08:10 UTC
A commit references this bug:

Author: crees
Date: Fri Jul  3 18:07:25 UTC 2015
New revision: 391267
URL: https://svnweb.freebsd.org/changeset/ports/391267

Log:
  Fix licence details

  PR:		ports/156452
  Submitted by:	jbeich

Changes:
  head/graphics/libvisual04/Makefile